## ipywidgets 6.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html   to make standalone HTML files"
	@echo "  clean  remove built files"


clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== docs/requirements.txt ===
jupyter_client
sphinx>=1.4.6
sphinx_rtd_theme==0.1.10-alpha
git+https://github.com/spatialaudio/nbsphinx.git#egg=nbsphinx
jupyter_sphinx
recommonmark==0.4.0
ipykernel
jupyter_sphinx

## ipywidgets 5.2.2

=== debian/changelog ===
ipywidgets (5.2.2-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Build-Depends: fonts-font-awesome (>= 4.7.0~dfsg-1~),
                   python[3]-setuptools (>= 28)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 14:44:03 +0100

ipywidgets (5.2.2-3) unstable; urgency=medium

  [ Gordon Ball ]
  * Add explicit build-dependency on m4
  * The warning previously displayed when importing ipywidgets if
    widgetsnbextension wasn't installed has been removed, since the
    extension is installed directly (see: #848252)

  [ Ximin Luo ]
  * Add Suggests: python-ipywidgets-doc (Closes: #849613)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Jan 2017 14:39:15 +0100

ipywidgets (5.2.2-2) unstable; urgency=medium

  * jupyter-nbextension-jupyter-js-widgets: Depend on newer pythonX-notebook
    in order to pick up some fixes related to automatic enable/disable.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Dec 2016 23:30:53 +0100

ipywidgets (5.2.2-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Initial release. (Closes: #838684)

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Dec 2016 13:03:56 +0100

=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Ximin Luo <infinity0@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/ipython/ipywidgets
Build-Depends: debhelper (>= 10),
               dh-python,
               node-recast,
               cleancss,
               libjs-backbone,
               libjs-bootstrap,
               libjs-jquery,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-smoothness,
               libjs-underscore,
               node-d3-format,
               node-es6-promise,
               node-html2canvas,
               node-less,
               node-semver,
               patch,
               python-all,
               python-pytest,
               python-setuptools (>= 28),
               python-coverage,
               python-ipython,
               python-ipykernel,
               python-jupyter-sphinx-theme,
               python-nose,
               python-traitlets,
               python-sphinx,
               python-sphinx-rtd-theme,
               python3-all,
               python3-pytest,
               python3-setuptools (>= 28),
               python3-coverage,
               python3-ipython,
               python3-ipykernel,
               python3-jupyter-sphinx-theme,
               python3-nose,
               python3-traitlets,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               pandoc,
               m4,
               fonts-font-awesome (>= 4.7.0~dfsg-1~)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipywidgets.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipywidgets.git

Package: python-ipywidgets
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 2)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 2 notebooks.

Package: python3-ipywidgets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, jupyter-sphinx-theme-common,
 libjs-mathjax
Built-Using: ${fakewebpack:Built-Using}
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.

Package: jupyter-nbextension-jupyter-js-widgets
Architecture: all
# see TODO, we can eventually turn these python- Depends: into a Recommends:
Depends: ${misc:Depends}, python3-notebook (>= 4.2.3-3) | python-notebook (>= 4.2.3-3), python3 | python
Suggests: python-ipywidgets, python3-ipywidgets
Built-Using: ${fakewebpack:Built-Using}
Description: Interactive widgets - Jupyter notebook extension
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension that allows a
 Jupyter notebook server to serve and display these widgets. You will also need
 to install kernel-side libraries, for an interactive session to drive and
 animate the widgets that are contained in a notebook. For Python 2 notebooks
 this is python-ipywidgets, and for Python 3 this is python3-ipywidgets.

Package: python-widgetsnbextension
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, jupyter-nbextension-jupyter-js-widgets
Enhances: python-notebook
Description: Interactive widgets - Jupyter notebook extension (Python 2)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 2
 module that may be installed via the notebook.nbextensions executable module.
 .
 This package should *not be necessary* for Debian software to use; instead you
 should directly use the jupyter-nbextension-jupyter-js-widgets package. It is
 provided only for compatibility with non-Debian software.

Package: python3-widgetsnbextension
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, jupyter-nbextension-jupyter-js-widgets
Enhances: python3-notebook
Description: Interactive widgets - Jupyter notebook extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 3
 module that may be installed via the notebook.nbextensions executable module.
 .
 This package should *not be necessary* for Debian software to use; instead you
 should directly use the jupyter-nbextension-jupyter-js-widgets package. It is
 provided only for compatibility with non-Debian software.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure -- -d ./widgetsnbextension

override_dh_auto_build:
# fakewebpack
	$(MAKE) -C debian -f fakewebpack.mk all
	touch debian/fakewebpack-build/widgetsnbextension/extension.js.map
	# See that patch for a description of why this is needed
	patch -l -F400 debian/fakewebpack-build/docs/index.js debian/webpack-compat/jquery.patch
# ipywidgets
	dh_auto_build
# widgetsnbextension
	# The below dance is only to satisfy widgetsnbextension/setup.py being
	# extra-picky and is otherwise useless, since we replace all these files
	# with symlinks later in override_dh_auto_install
	mkdir -p widgetsnbextension/widgetsnbextension/static
	cp debian/fakewebpack-build/widgetsnbextension/* \
	  widgetsnbextension/widgetsnbextension/static/
	dh_auto_build -Dwidgetsnbextension
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# ipywidgets-doc
	dh_auto_build -Ddocs -Smakefile -- html
	cp -a debian/fakewebpack-build/docs docs/build/html/_static/built
	find docs/build/html/_static/built -type f -empty -delete
endif

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- -d ./widgetsnbextension
	set -e; for i in debian/tmp/usr/lib/*/dist-packages/widgetsnbextension/static; do \
	  rm -rf $$i && ln -sfT /usr/share/jupyter/nbextensions/jupyter-js-widgets $$i; \
	done

override_dh_auto_clean:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# ipywidgets-doc
	dh_auto_clean -Ddocs -Smakefile -- clean
endif
# widgetsnbextension
	dh_auto_clean -Dwidgetsnbextension
	rm -rf widgetsnbextension/widgetsnbextension/static
# ipywidgets
	dh_auto_clean
# fakewebpack
	$(MAKE) -C debian -f fakewebpack.mk clean

override_dh_auto_test:
	# from docs/source/dev_testing.md
	nosetests --with-coverage --cover-package=ipywidgets ipywidgets
	# no tests in widgetsnbextension

override_dh_compress:
	dh_compress -X python-ipywidgets-doc/html

gen_built_using = \
	$(MAKE) -C debian -f fakewebpack.mk fakewebpack-build/$(1).packages && \
	echo "fakewebpack:Built-Using=$$(cat debian/fakewebpack-build/$(1).packages)" >> debian/$(2).substvars
override_dh_gencontrol:
	$(call gen_built_using,docs,python-ipywidgets-doc)
	$(call gen_built_using,widgetsnbextension,jupyter-nbextension-jupyter-js-widgets)
	dh_gencontrol

override_dh_sphinxdoc:
	dh_sphinxdoc -X_static/mathjax
	# Replace embedded jupyter-sphinx-theme files with symlinks
	set -e; for i in debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static/*; do \
	  if [ -e "/usr/share/jupyter_sphinx_theme/jupyter/static/$$(basename "$$i")" ]; then \
	    rm -rf "$$i"; \
	    ln -sfT "/usr/share/jupyter_sphinx_theme/jupyter/static/$$(basename "$$i")" "$$i"; \
	  fi; \
	done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipywidgets-$1.tar.gz%" \
 https://github.com/ipython/ipywidgets/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ipywidgets 6.0.0

=== debian/changelog ===
ipywidgets (6.0.0-6) unstable; urgency=medium

  * To enable ipywidgets in jupyter-notebook, move to dropping a config file
    in notebook.d/ instead of using postinst/prerm to merge a shared config
    file, which will hopefully be more robust.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Dec 2019 19:39:12 +0000

ipywidgets (6.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * Drop python 2 support (binary packages python-ipywidgets,
    python-widgetsnbextension), and update python 2-or-3 dependencies to
    python3 only (Closes: #936745)
  * Add es2015.iterable to typescript configs
  * Update node symlinks where packages have moved to usr/share/nodejs (and
    version moved dependencies)
  * Update internal paths in fakewebpack for d3-format
  * Use nosetests3 binary for testing

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Nov 2019 16:12:08 +0000

ipywidgets (6.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use 'Object.prototype' instead of 'path.scope.getBindings' when
    calling 'hasOwnProperty'.  (Closes: #926802)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Apr 2019 15:18:56 -0400

ipywidgets (6.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Ximin Luo ]
  * Fix build against typescript 3.2. (Closes: #902471)
  * Drop build-dep on jupyter-sphinx-theme. (Closes: #917705)

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 Jan 2019 00:10:07 -0800

ipywidgets (6.0.0-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #871339, #858629)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 22:14:11 +0200

ipywidgets (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * The documentation package (python-ipywidgets-doc) has been emptied for the
    time being, because it is too hard to build it. See the package description
    for more details.

 -- Ximin Luo <infinity0@debian.org>  Mon, 22 May 2017 17:51:28 +0200

=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Ximin Luo <infinity0@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.1
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends: debhelper-compat (= 10),
               dh-python,
               node-recast,
               libjs-jquery,
               libjs-jquery-ui,
               node-backbone,
               node-d3-format (>= 1:1.4.1-1),
               node-es6-promise (>= 4.2.8-4),
               node-semver (>= 6.3.0-1),
               node-typescript,
               node-typescript-types (>= 20190926-1),
               node-underscore,
               patch,
               python3-all,
               python3-pytest,
               python3-setuptools (>= 28),
               python3-coverage,
               python3-ipython,
               python3-ipykernel,
               python3-jsonschema,
               python3-mock,
               python3-nose,
               python3-traitlets,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               pandoc,
               m4
Vcs-Git: https://salsa.debian.org/python-team/modules/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ipywidgets

Package: python3-ipywidgets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 jupyter-nbextension-jupyter-js-widgets (= ${binary:Version})
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
Built-Using: ${fakewebpack:Built-Using}
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.
 .
 NOTE: currently this package is empty because upstream does not have a good
 build-process to generate the documentation; see:
 .
  * https://github.com/jupyter-widgets/ipywidgets/issues/1273
  * https://github.com/jupyter-widgets/jupyter-sphinx/issues/4

Package: jupyter-nbextension-jupyter-js-widgets
Architecture: all
Depends: ${misc:Depends}
Recommends: jupyter-notebook
Suggests: python3-ipywidgets
Built-Using: ${fakewebpack:Built-Using}
Description: Interactive widgets - Jupyter notebook extension
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension that allows a
 Jupyter notebook server to serve and display these widgets. You will also need
 to install kernel-side libraries, for an interactive session to drive and
 animate the widgets that are contained in a notebook. For Python 2 notebooks
 this is python-ipywidgets, and for Python 3 this is python3-ipywidgets.

Package: python3-widgetsnbextension
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 jupyter-nbextension-jupyter-js-widgets (= ${binary:Version})
Enhances: python3-notebook
Description: Interactive widgets - Jupyter notebook extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 3
 module that may be installed via the notebook.nbextensions executable module.
 .
 This package should *not be necessary* for Debian software to use; instead you
 should directly use the jupyter-nbextension-jupyter-js-widgets package. It is
 provided only for compatibility with non-Debian software.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure -- -d ./widgetsnbextension

override_dh_auto_build:
# fakewebpack
	$(MAKE) -C debian -f fakewebpack.mk all
	touch debian/fakewebpack/widgetsnbextension/extension.js.map
	# See that patch for a description of why this is needed
	#patch -l -F400 debian/fakewebpack/docs/index.js debian/webpack-compat/jquery.patch
# ipywidgets
	dh_auto_build
# widgetsnbextension
	# The below dance is only to satisfy widgetsnbextension/setup.py being
	# extra-picky and is otherwise useless, since we replace all these files
	# with symlinks later in override_dh_auto_install
	mkdir -p widgetsnbextension/widgetsnbextension/static
	cp debian/fakewebpack/widgetsnbextension/* \
	  widgetsnbextension/widgetsnbextension/static/
	dh_auto_build -Dwidgetsnbextension
#ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# ipywidgets-doc
#	dh_auto_build -Ddocs -Smakefile -- html
#	cp -a debian/fakewebpack/docs docs/build/html/_static/built
#	find docs/build/html/_static/built -type f -empty -delete
#endif

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- -d ./widgetsnbextension
	set -e; for i in debian/tmp/usr/lib/*/dist-packages/widgetsnbextension/static; do \
	  rm -rf $$i && ln -sfT /usr/share/jupyter/nbextensions/jupyter-js-widgets $$i; \
	done

override_dh_auto_clean:
#ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# ipywidgets-doc
#	dh_auto_clean -Ddocs -Smakefile -- clean
#endif
# widgetsnbextension
	dh_auto_clean -Dwidgetsnbextension
	rm -rf widgetsnbextension/widgetsnbextension/static
# ipywidgets
	dh_auto_clean
# fakewebpack
	$(MAKE) -C debian -f fakewebpack.mk clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# from docs/source/dev_testing.md
	nosetests3 --with-coverage --cover-package=ipywidgets ipywidgets
	# no tests in widgetsnbextension
endif

override_dh_compress:
	dh_compress -X python-ipywidgets-doc/html

gen_built_using = \
	$(MAKE) -C debian -f fakewebpack.mk fakewebpack/$(1).packages && \
	echo "fakewebpack:Built-Using=$$(cat debian/fakewebpack/$(1).packages)" >> debian/$(2).substvars
override_dh_gencontrol:
#ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
#	$(call gen_built_using,docs,python-ipywidgets-doc)
#endif
	$(call gen_built_using,widgetsnbextension,jupyter-nbextension-jupyter-js-widgets)
	dh_gencontrol

override_dh_sphinxdoc:
	dh_sphinxdoc -X_static/mathjax
	# Replace embedded jupyter-sphinx-theme files with symlinks
	set -e; for i in debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static/*; do \
	  if [ -e "/usr/share/jupyter_sphinx_theme/jupyter/static/$$(basename "$$i")" ]; then \
	    rm -rf "$$i"; \
	    ln -sfT "/usr/share/jupyter_sphinx_theme/jupyter/static/$$(basename "$$i")" "$$i"; \
	  fi; \
	done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipywidgets-$1.tar.gz%" \
 https://github.com/jupyter-widgets/ipywidgets/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ipywidgets 8.1.1

=== .binder/requirements.txt ===
bqplot
ipyleaflet
jupyterlab-myst
jupyterlab==4.0.2
matplotlib
networkx
numpy
pandas
scikit-image
scikit-learn
sympy

=== docs/requirements.txt ===
bqplot
build
docutils >=0.19
ipykernel
ipyleaflet
jupyter-client
jupyter-packaging
jupyterlab >=4
jupyterlite >=0.1.1<0.2.0
matplotlib
myst-nb >=0.17,<0.18
numpy
packaging
pkginfo
pydata-sphinx-theme
recommonmark
scikit-image
scikit-learn
sphinx >=1.4.6
sphinx-autobuild
sphinx-autodoc-typehints
sphinx-copybutton
sphinxext-rediraffe
sympy

=== debian/changelog ===
ipywidgets (8.1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bug fix: "build-depends on python3-nose or uses it for autopkgtest",
    thanks to Dmitry Shachnev (Closes: #1018379).
  * Require recent python3-comm.

 -- Roland Mas <lolando@debian.org>  Wed, 31 Jan 2024 00:06:41 +0100

ipywidgets (8.1.1-1) experimental; urgency=medium

  * New upstream release.
  * This fixes "New upstream releases available and requested", thanks to
    Tobias Hansen (Closes: #896460).

 -- Roland Mas <lolando@debian.org>  Tue, 14 Nov 2023 12:01:39 +0100

ipywidgets (8.0.6-1) experimental; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 17 May 2023 16:35:33 +0200

ipywidgets (8.0.3-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 07 Dec 2022 13:44:34 +0100

ipywidgets (8.0.0~b1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * NOT READY FOR RELEASE: missing dependencies, need to review path to
    javascript libraries (require.min.js and embed-amd.js), failing
    testsuite…

 -- Roland Mas <lolando@debian.org>  Thu, 27 Jan 2022 23:09:51 +0100

ipywidgets (6.0.0-9) unstable; urgency=medium

  * Team upload
  * debian/missing-sources/phosphor/src/ui/vdom.ts: MouseWheelEvent is
    WheelEvent since TypeScript 2.0 (Closes: #997738)
  * debian/patches/python3.10.patch: compatibility with Python 3.10
    (Closes: #1001343)

 -- Graham Inggs <ginggs@debian.org>  Wed, 09 Feb 2022 09:33:43 +0000

ipywidgets (6.0.0-8) unstable; urgency=medium

  * Upload to unstable
  * Missing bug close from the previous version: Closes: #898781
  * Add a hint to "Widget Javascript not detected" warnings.

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Feb 2021 09:00:09 +0000

ipywidgets (6.0.0-7) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * Complete rework the build for this package. It now uses pkg-js-tools and
    webpack to (mostly) native build the web extensions, dropping the previous
    fakewebpack implementation.
  * Fix FTBFS (Closes: #950094, #971224) and dependency bugs (Closes: #979773)
  * Drop embedded copies of css-loader, process, setimmediate, style-loader,
    timers-browserify. Add (temporarily) embedded copy of @types/underscore.
  * Add patches for Typescript 4 and Webpack 4 compatibility
  * Standards-Version 4.5.1, Debhelper compat 13, Rules-Requires-Root: no
  * Run the (python) testsuite as an autopkgtest
  * Populate the documentation package

 -- Gordon Ball <gordon@chronitis.net>  Mon, 08 Feb 2021 08:34:42 +0000

=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>,
 Ximin Luo <infinity0@debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends: debhelper-compat (= 13),
	       libjs-requirejs,
	       node-jupyterlab,
	       node-lodash,
	       node-lumino,
	       node-minipass,
	       node-nouislider,
	       node-postcss,
	       node-sanitize-html,
	       node-d3,
	       node-d3-color,
	       node-d3-format,
	       node-types-estree,
	       node-types-sanitize-html,
	       npm,
	       pandoc,
	       python3-bqplot,
	       python3-jupyter-packaging (>= 0.11.1),
	       python3-matplotlib,
               dh-python,
               fonts-font-awesome,
               libjs-mathjax,
               libjs-sizzle,
               node-ajv,
               node-backbone,
               node-css-loader,
               node-d3-format,
               node-es6-promise,
               node-expect.js,
               node-file-loader,
               node-jquery,
               node-jquery-ui,
               node-process,
               node-recast,
               node-requirejs,
               node-semver,
               node-sinon,
               node-style-loader,
               node-minipass,
               node-types-underscore,
               node-typescript,
               node-underscore,
               node-url-loader,
               pkg-js-tools,
               python3-all,
               python3-comm (>= 0.2.1),
               python3-ipykernel,
               python3-ipython,
               python3-jsonschema,
               python3-nbsphinx,
               python3-pytest,
	       python3-pytest-cov,
               python3-recommonmark,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-traitlets,
               webpack,
	       node-jupyterlab-rendermime-interfaces,
Vcs-Git: https://salsa.debian.org/python-team/packages/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipywidgets
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ipywidgets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-comm (>= 0.2.1),
 jupyter-nbextension-jupyter-js-widgets (= ${binary:Version})
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax,
 libjs-requirejs, node-jupyter-widgets-html-manager
Built-Using: ${sphinxdoc:Built-Using}
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.

Package: jupyter-nbextension-jupyter-js-widgets
Architecture: all
Depends: ${misc:Depends}
Recommends: jupyter-notebook
Suggests: python3-ipywidgets
Built-Using: ${js:Built-Using}
Description: Interactive widgets - Jupyter notebook extension
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension that allows a
 Jupyter notebook server to serve and display these widgets. You will also need
 to install kernel-side libraries, for an interactive session to drive and
 animate the widgets that are contained in a notebook. For Python 2 notebooks
 this is python-ipywidgets, and for Python 3 this is python3-ipywidgets.

Package: python3-widgetsnbextension
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 jupyter-nbextension-jupyter-js-widgets (= ${binary:Version})
Enhances: python3-notebook
Provides: ${nodejs:Provides}
Description: Interactive widgets - Jupyter notebook extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 3
 module that may be installed via the notebook.nbextensions executable module.
 .
 This package should *not be necessary* for Debian software to use; instead you
 should directly use the jupyter-nbextension-jupyter-js-widgets package. It is
 provided only for compatibility with non-Debian software.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8
JSUSING:=fonts-font-awesome libjs-mathjax node-ajv node-d3-format node-requirejs node-jquery node-jquery-ui node-backbone node-es6-promise node-semver node-underscore
BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(jspkg)))

PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
PYPATH=$(CURDIR)/debian/python3-ipywidgets/usr/lib/python$(PYVERS)/dist-packages
PYTHON_MODS=ipywidgets widgetsnbextension

NODE_MODS=base base-manager controls html-manager output # schema
JSDEPS=@jupyterlab jquery @lumino @types underscore lodash postcss minipass source-map-js

#CMD=ln -sf
CMD=cp -r

%:
	dh $@ --with nodejs,python3,sphinxdoc --buildsystem=pybuild --buildsystem=nodejs

override_dh_auto_clean:
	dh_auto_clean --buildsystem nodejs
	for i in $(PYTHON_MODS) ; do dh_auto_clean --buildsystem=pybuild -- --dir python/$$i ; rm -rf python/$$i/$$i.egg-info ; done

override_dh_auto_configure:
	# mv debian/missing-sources/* .
	dh_auto_configure --buildsystem nodejs
	for i in $(PYTHON_MODS) ; do dh_auto_configure --buildsystem=pybuild -- --dir python/$$i ; done
	cp -r /usr/share/javascript/mathjax packages/controls/node_modules/
	# partial libraries without package.json break pkg-js-tools machinery
	# ln -s ../../@jupyterlab jupyter-js-widgets/node_modules/@jupyterlab
	# d/nodejs/component_links doesn't work if the component name includes @
	# ln -s ../../../@types/underscore jupyter-js-widgets/node_modules/@types/underscore

override_dh_auto_build:
	for i in $(PYTHON_MODS) ; do dh_auto_build --buildsystem=pybuild -- --dir python/$$i ; done
	dh_auto_build --buildsystem nodejs

XXXoverride_dh_sphinxdoc:
	for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	dh_install
	PYTHONPATH=$(PYPATH) python3 -m sphinx -N -bhtml docs/source debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html
	ln -s /usr/share/javascript/requirejs/require.min.js debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static
	#ln -s /usr/share/nodejs/@jupyter-widgets/html-manager/dist/embed-amd.js debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static
	mkdir -p debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist
	touch debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist/embed-amd.js
	dh_sphinxdoc

override_dh_auto_install:
	dh_auto_install --buildsystem nodejs
	for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	#set -e; for i in debian/tmp/usr/lib/*/dist-packages/widgetsnbextension/static; do \
	#  rm -rf $$i && ln -sfT /usr/share/jupyter/nbextensions/jupyter-js-widgets $$i; \
	#done
	dh_install

override_dh_auto_test:
	#for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	#dh_install
	cd python/ipywidgets ; PYTHONPATH=$(PYPATH) pytest --cov=ipywidgets ipywidgets # || true

override_dh_gencontrol:
	echo "js:Built-Using=$(BUILTUSING)" >> debian/jupyter-nbextension-jupyter-js-widgets.substvars
	dh_gencontrol

=== debian/tests/control ===
Test-Command: cd /usr/lib/python3/dist-packages/ ; pytest --cov=ipywidgets ipywidgets
Depends: python3-ipywidgets, python3-pytest, python3-pytest-cov, python3-ipython, python3-ipykernel
Restrictions: allow-stderr, flaky

## ipywidgets 8.1.3

=== docs/requirements.txt ===
--- 
+++ 
@@ -6,7 +6,8 @@
 jupyter-client
 jupyter-packaging
 jupyterlab >=4
-jupyterlite >=0.1.1<0.2.0
+jupyterlite-core >=0.3.0<0.4.0
+jupyterlite-pyodide-kernel >=0.3.0<0.4.0
 matplotlib
 myst-nb >=0.17,<0.18
 numpy

=== debian/changelog ===
ipywidgets (8.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jun 2024 09:25:38 +0100

ipywidgets (8.1.2-3) unstable; urgency=medium

  * Team upload.
  * Fix compatibility with pytest 8 (closes: #1071893).

 -- Colin Watson <cjwatson@debian.org>  Fri, 31 May 2024 12:15:19 +0100

ipywidgets (8.1.2-2) unstable; urgency=medium

  * Remove build-dependency on bqplot.
  * Disable widgetsnbextension, provided by other packages.

 -- Roland Mas <lolando@debian.org>  Sun, 12 May 2024 12:34:57 +0200

ipywidgets (8.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Restore normal build, fixes "FTBFS: unsatisfiable build-dependency:
    jupyter-nbextension-jupyter-js-widgets (= 8.1.1-3) but 8.1.1-2 is to
    be installed", thanks to Lucas Nussbaum (Closes: #1067311).
  * Temporarily build-depend on pytest < 8 because
    https://github.com/jupyter-widgets/ipywidgets/issues/3895 creates an FTBFS.

 -- Roland Mas <lolando@debian.org>  Wed, 01 May 2024 16:40:51 +0200

ipywidgets (8.1.1-5) unstable; urgency=medium

  * Temporary manual build (with disabled testsuite) to break the
    dependency cycle.

 -- Roland Mas <lolando@debian.org>  Wed, 10 Apr 2024 18:45:58 +0200

ipywidgets (8.1.1-4) unstable; urgency=medium

  * Remove versioned dependency on removed packages (oops).

 -- Roland Mas <lolando@debian.org>  Wed, 21 Feb 2024 15:35:48 +0100

ipywidgets (8.1.1-3) unstable; urgency=medium

  * Remove jupyter-nbextension-jupyter-js-widgets and
    python3-widgetsnbextension binary packages; their contents are now
    provided by the binary packages generated out of node-ipydatagrid.
  * Add related Depends: field.

 -- Roland Mas <lolando@debian.org>  Wed, 21 Feb 2024 10:40:36 +0100

=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>,
 Ximin Luo <infinity0@debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 fonts-font-awesome,
 libjs-mathjax,
 libjs-requirejs,
 libjs-sizzle,
 node-ajv,
 node-backbone,
 node-css-loader,
 node-d3,
 node-d3-color,
 node-d3-format,
 node-d3-format,
 node-es6-promise,
 node-expect.js,
 node-file-loader,
 node-jquery,
 node-jquery-ui,
 node-jupyterlab,
 node-jupyterlab-rendermime-interfaces,
 node-lodash,
 node-lumino,
 node-minipass,
 node-minipass,
 node-nouislider,
 node-postcss,
 node-process,
 node-recast,
 node-requirejs,
 node-sanitize-html,
 node-semver,
 node-sinon,
 node-style-loader,
 node-types-estree,
 node-types-sanitize-html,
 node-types-underscore,
 node-typescript,
 node-underscore,
 node-url-loader,
 npm,
 pandoc,
 pkg-js-tools,
 python3-all,
# python3-bqplot,
 python3-comm (>= 0.2.1),
 python3-ipykernel,
 python3-ipython,
 python3-jsonschema,
 python3-jupyter-packaging (>= 0.11.1),
 python3-matplotlib,
 python3-nbsphinx,
 python3-pytest,
 python3-pytest-cov,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-traitlets,
 webpack,
Vcs-Git: https://salsa.debian.org/python-team/packages/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipywidgets
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ipywidgets
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-comm (>= 0.2.1),
 node-jupyter-widgets-base,
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax,
 libjs-requirejs, node-jupyter-widgets-html-manager
Built-Using: ${sphinxdoc:Built-Using}
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8
JSUSING:=fonts-font-awesome libjs-mathjax node-ajv node-d3-format node-requirejs node-jquery node-jquery-ui node-backbone node-es6-promise node-semver node-underscore
BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(jspkg)))

PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
PYPATH=$(CURDIR)/debian/python3-ipywidgets/usr/lib/python$(PYVERS)/dist-packages
PYTHON_MODS=ipywidgets # widgetsnbextension

NODE_MODS=base base-manager controls html-manager output # schema
JSDEPS=@jupyterlab jquery @lumino @types underscore lodash postcss minipass source-map-js

#CMD=ln -sf
CMD=cp -r

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	for i in $(PYTHON_MODS) ; do dh_auto_clean --buildsystem=pybuild -- --dir python/$$i ; rm -rf python/$$i/$$i.egg-info ; done

override_dh_auto_configure:
	for i in $(PYTHON_MODS) ; do dh_auto_configure --buildsystem=pybuild -- --dir python/$$i ; done
	cp -r /usr/share/javascript/mathjax packages/controls/node_modules/

override_dh_auto_build:
	for i in $(PYTHON_MODS) ; do dh_auto_build --buildsystem=pybuild -- --dir python/$$i ; done

XXXoverride_dh_sphinxdoc:
	for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	dh_install
	PYTHONPATH=$(PYPATH) python3 -m sphinx -N -bhtml docs/source debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html
	ln -s /usr/share/javascript/requirejs/require.min.js debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static
	mkdir -p debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist
	touch debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist/embed-amd.js
	dh_sphinxdoc

override_dh_auto_install:
	for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	rm -rf debian/tmp/usr/lib/python3*/dist-packages/widgetsnbextension* debian/tmp/usr/share/jupyter/nbconfig/notebook.d/widgetsnbextension.json
	dh_install

override_dh_auto_test:
	cd python/ipywidgets ; PYTHONPATH=$(PYPATH) pytest --cov=ipywidgets ipywidgets # || true

#override_dh_gencontrol:
#	echo "js:Built-Using=$(BUILTUSING)" >> debian/jupyter-nbextension-jupyter-js-widgets.substvars
#	dh_gencontrol
